PipeWire: module-rtkit.c File Reference

PipeWire 0.3.34

Data Structures | Macros | Functions
module-rtkit.c File Reference

## Data Structures
struct | thread
struct | impl

## Macros
#define | DEFAULT_NICE_LEVEL -11
#define | DEFAULT_RT_PRIO 88
#define | DEFAULT_RT_TIME_SOFT 2000000
#define | DEFAULT_RT_TIME_HARD 2000000
#define | MODULE_USAGE
#define | RTKIT_SERVICE_NAME "org.freedesktop.RealtimeKit1"
#define | RTKIT_OBJECT_PATH "/org/freedesktop/RealtimeKit1"
#define | RLIMIT_RTTIME 15

## Functions
struct pw_rtkit_bus * | pw_rtkit_bus_get_system (void)
void | pw_rtkit_bus_free (struct pw_rtkit_bus *system_bus)
int | pw_rtkit_get_max_realtime_priority (struct pw_rtkit_bus *connection)
int | pw_rtkit_get_min_nice_level (struct pw_rtkit_bus *connection, int *min_nice_level)
long long | pw_rtkit_get_rttime_usec_max (struct pw_rtkit_bus *connection)
int | pw_rtkit_make_realtime (struct pw_rtkit_bus *connection, pid_t thread, int priority)
int | pw_rtkit_make_high_priority (struct pw_rtkit_bus *connection, pid_t thread, int nice_level)
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Macro Definition Documentation

## ◆ DEFAULT_NICE_LEVEL

#define DEFAULT_NICE_LEVEL -11

## ◆ DEFAULT_RT_PRIO

#define DEFAULT_RT_PRIO 88

## ◆ DEFAULT_RT_TIME_HARD

#define DEFAULT_RT_TIME_HARD 2000000

## ◆ DEFAULT_RT_TIME_SOFT

#define DEFAULT_RT_TIME_SOFT 2000000

## ◆ MODULE_USAGE

#define MODULE_USAGE

Value:
"[nice.level=<priority: default "SPA_STRINGIFY(DEFAULT_NICE_LEVEL) ">] " \
"[rt.prio=<priority: default "SPA_STRINGIFY(DEFAULT_RT_PRIO) ">] " \
"[rt.time.soft=<in usec: default "SPA_STRINGIFY(DEFAULT_RT_TIME_SOFT)"] " \
"[rt.time.hard=<in usec: default "SPA_STRINGIFY(DEFAULT_RT_TIME_HARD)"] "
SPA_STRINGIFY
#define SPA_STRINGIFY(...)
Definition: defs.h:240
DEFAULT_RT_TIME_SOFT
#define DEFAULT_RT_TIME_SOFT
Definition: module-rtkit.c:53
DEFAULT_RT_TIME_HARD
#define DEFAULT_RT_TIME_HARD
Definition: module-rtkit.c:54
DEFAULT_RT_PRIO
#define DEFAULT_RT_PRIO
Definition: module-rtkit.c:52
DEFAULT_NICE_LEVEL
#define DEFAULT_NICE_LEVEL
Definition: module-rtkit.c:51

## ◆ RLIMIT_RTTIME

#define RLIMIT_RTTIME 15

## ◆ RTKIT_OBJECT_PATH

#define RTKIT_OBJECT_PATH "/org/freedesktop/RealtimeKit1"

## ◆ RTKIT_SERVICE_NAME

#define RTKIT_SERVICE_NAME "org.freedesktop.RealtimeKit1"

## Function Documentation

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References props, pw_context_get_properties(), pw_impl_module_get_context(), and pw_properties_get().

## ◆ pw_rtkit_bus_free()

void pw_rtkit_bus_free | ( | struct pw_rtkit_bus * | system_bus | ) |

## ◆ pw_rtkit_bus_get_system()

struct pw_rtkit_bus* pw_rtkit_bus_get_system | ( | void |  | ) |

References pw_log_error.

## ◆ pw_rtkit_get_max_realtime_priority()

int pw_rtkit_get_max_realtime_priority | ( | struct pw_rtkit_bus * | connection | ) |

## ◆ pw_rtkit_get_min_nice_level()

int pw_rtkit_get_min_nice_level | ( | struct pw_rtkit_bus * | connection,
|  | int * | min_nice_level
| ) |  |

## ◆ pw_rtkit_get_rttime_usec_max()

long long pw_rtkit_get_rttime_usec_max | ( | struct pw_rtkit_bus * | connection | ) |

## ◆ pw_rtkit_make_high_priority()

int pw_rtkit_make_high_priority | ( | struct pw_rtkit_bus * | connection,
|  | pid_t | thread,
|  | int | nice_level
| ) |  |

## ◆ pw_rtkit_make_realtime()

int pw_rtkit_make_realtime | ( | struct pw_rtkit_bus * | connection,
|  | pid_t | thread,
|  | int | priority
| ) |  |